import { ProductDetailsBlogStatisticsClient } from "@/components/shared/product-details-blog-statistics-client";
import { Locale } from "@/i18n/routing";
import { getProductDetailsBlogStatistics } from "@/utils/get-fake-data";

interface ProductDetailsBlogStatisticsProps {
  locale: Locale;
}

export default async function ProductDetailsBlogStatistics({
  locale,
}: ProductDetailsBlogStatisticsProps) {
  const data = await getProductDetailsBlogStatistics();

  return <ProductDetailsBlogStatisticsClient data={data} locale={locale} />;
}
